/*

iRRAM_INTMPF.h -- header file for the reference backend of the iRRAM library

Copyright (C) 2004 Norbert Mueller

This file is part of the iRRAM Library.

The iRRAM Library is free software; you can redistribute it and/or modify
it under the terms of the GNU Library General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

The iRRAM Library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public
License for more details.

You should have received a copy of the GNU Library General Public License
along with the iRRAM Library; see the file COPYING.LIB.  If not, write to
the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
MA 02111-1307, USA.
*/

#include "iRRAM.h"

void compute(){
 INTEGER i=1234567;
 INTEGER nl=0;
 rprintf("%d\n",length(i));
 INTMPF x(i);
 INTMPF y;
 INTMPF f(INTEGER(2));
 INTEGER a=denorm(x,INTEGER(2));
 
 x = INTMPF(INTEGER(1));
 for (int i=2; i<=20;i++) { 
   f=INTMPF(INTEGER(i));
   y = inv(x,INTEGER(-200));
   y = mult(x,y,INTEGER(-10));
   rwrite(y.mantissa,20);
   rwrite(y.exponent,5);
   rwrite(denorm(y,-1),5);
   rwrite(denorm(x,0),20);
   rwrite(denorm(f,0),20);
   rprintf("\n");
   x = mult(x,f,INTEGER(0));
   y = inv(x,INTEGER(-100));
//   x = add(x,x,INTEGER(0));
 }
rprintf("\n");
}
